Summary: gnu.readline
Name: rhug-gnu_readline
Version: 0.6
Release: 3
URL: http://www.gnu.org
Source0: %{name}-%{version}.tar.gz
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: gcc-java => 3.2
BuildPrereq: libgcj-devel => 3.2
Requires: libgcj => 3.2

%description
GNU readline package.

%package devel
Summary: Files for developing GNU readline applications with gcj.
Group: Development/Libraries
Requires: rhug-gnu_readline = %{version}
Requires: gcc-java => 3.2
Requires: libgcj-devel => 3.2

%description devel
The rhug-gnu_readline package contains the libraries, includes and other
files you can use to develop GNU readline applications with gcj.

%prep
%setup -q

%build
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/lib*.so*
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.la
# %{_includedir}/*
# FIXME: Uncomment this with libtool can build static libraries again.
# %{_libdir}/*.a

%changelog
* Sat May 24 2003 Anthony Green <green@redhat.com>
- Upgrade dependencies.

* Wed Oct 10 2002 Anthony Green  <green@build.tokyo.redhat.com>
- Update for RH8

* Sat Mar  2 2002 Anthony Green <green@redhat.com>
- Initial build.

